## ros-kinetic-yocs-math-toolkit 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_math_toolkit)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_config
        ecl_exceptions
        ecl_formatters
        ecl_linear_algebra
        geometry_msgs
        roscpp
        tf
)

##############################################################################
# Exports
##############################################################################

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS
        ecl_build
        ecl_config
        ecl_exceptions
        ecl_formatters
        ecl_linear_algebra
        geometry_msgs
        roscpp
        tf
)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
add_definitions(${catkin_DEFINITIONS})
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

=== include/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(${PROJECT_NAME})

=== debian/changelog ===
ros-kinetic-yocs-math-toolkit (0.8.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 12 Jan 2017 15:34:05 -0000

ros-kinetic-yocs-math-toolkit (0.8.0-0xenial) xenial; urgency=high

  * ecl deprecation macros
  * pretty printing vectors updated

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 05 May 2016 15:00:00 -0000

ros-kinetic-yocs-math-toolkit (0.6.0-0xenial) xenial; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Handle special case on sameFrame function
  * Add functions to compare frame ids ignoring the leading /, as it is
    frequently omitted.
    Geometry doxygen documented.
  * Contributors: Jihoon Lee, Jorge Santos

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-kinetic-yocs-math-toolkit (0.5.2-0xenial) xenial; urgency=high

  * Some more functions added.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-kinetic-yocs-math-toolkit (0.4.1-0xenial) xenial; urgency=high

  * Initial version: migrated here from https://github.com/yujinrobot/kobuki-x

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-yocs-math-toolkit
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-formatters, ros-kinetic-ecl-linear-algebra, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: http://ros.org/wiki/yocs_math_toolkit
Standards-Version: 3.9.2

Package: ros-kinetic-yocs-math-toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-formatters, ros-kinetic-ecl-linear-algebra, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Description: Math toolkit for Yujin open control system.
 This package is intended to contain common use functions, mostly for simple mathematics but also for tf-related conversions. By no means it pretends to be an efficient and robust, widely used math library, but a play ground where to put common code that is typically repeated in many robot control programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-yocs-math-toolkit//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
